net.minecraft.server.dedicated

## Class DedicatedServer

- java.lang.Object
- - net.minecraft.server.MinecraftServer
  - - net.minecraft.server.dedicated.DedicatedServer

- All Implemented Interfaces:
    java.lang.Runnable, ICommandSender, IServer, IPlayerUsage

      public class DedicatedServer
      extends MinecraftServer
      implements IServer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `allowPlayerLogins`
    `java.util.List` | `pendingCommandList`

    - ### Fields inherited from class net.minecraft.server.MinecraftServer

      `currentTask, percentDone, serverProxy, theProfiler, tickTimeArray, worldServers, worldTickTimes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DedicatedServer(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPendingCommand(java.lang.String par1Str, ICommandSender par2ICommandSender)`
    `CrashReport` | `addServerInfoToCrashReport(CrashReport par1CrashReport)`
    `void` | `addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)`
    `boolean` | `allowSpawnMonsters()`
    `boolean` | `canStructuresSpawn()`
    `void` | `executePendingCommands()`
    `protected void` | `finalTick(CrashReport par1CrashReport)`
    `void` | `func_143006_e(int par1)`
    `EnumDifficulty` | `func_147135_j()`
    `boolean` | `func_147136_ar()`
    `boolean` | `getAllowNether()`
    `boolean` | `getBooleanProperty(java.lang.String par1Str, boolean par2)`
    `DedicatedPlayerList` | `getConfigurationManager()`
    `WorldSettings.GameType` | `getGameType()`
    `boolean` | `getGuiEnabled()`
    `int` | `getIntProperty(java.lang.String par1Str, int par2)`
    `int` | `getOpPermissionLevel()`
    `java.lang.String` | `getSettingsFilename()`
    `int` | `getSpawnProtectionSize()`
    `java.lang.String` | `getStringProperty(java.lang.String par1Str, java.lang.String par2Str)`
    `boolean` | `isBlockProtected(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)`
    `boolean` | `isCommandBlockEnabled()`
    `boolean` | `isDedicatedServer()`
    `boolean` | `isHardcore()`
    `boolean` | `isSnooperEnabled()`
    `void` | `saveProperties()`
    `void` | `setGuiEnabled()`
    `void` | `setProperty(java.lang.String par1Str, java.lang.Object par2Obj)`
    `java.lang.String` | `shareToLAN(WorldSettings.GameType par1EnumGameType, boolean par2)`
    `protected boolean` | `startServer()`
    `protected void` | `systemExitNow()`
    `void` | `updateTimeLightAndEntities()`

    - ### Methods inherited from class net.minecraft.server.MinecraftServer

      `addChatMessage, addServerTypeToSnooper, canCommandSenderUseCommand, canCreateBonusChest, clearCurrentTask, convertMapIfNeeded, deleteWorldAndStopServer, enableProfiling, func_143007_ar, func_145748_c_, func_147130_as, func_147132_au, func_147134_at, func_147137_ag, func_147139_a, func_155759_m, func_82010_a, getActiveAnvilConverter, getAllUsernames, getBuildLimit, getCanSpawnAnimals, getCanSpawnNPCs, getCommandManager, getCommandSenderName, getCurrentPlayerCount, getDataDirectory, getEntityWorld, getFile, getFolderName, getForceGamemode, getHostname, getKeyPair, getMaxPlayers, getMinecraftVersion, getMotd, getMOTD, getPlayerCoordinates, getPlayerUsageSnooper, getPlugins, getPort, getPossibleCompletions, getServer, getServerHostname, getServerModName, getServerOwner, getServerPort, getServerProxy, getSystemTimeMillis, getTexturePack, getTickCounter, getUserMessage, getWorldName, handleRConCommand, initialWorldChunkLoad, initiateShutdown, isDebuggingEnabled, isDemo, isFlightAllowed, isPVPEnabled, isServerInOnlineMode, isServerRunning, isServerStopped, isSinglePlayer, loadAllWorlds, logDebug, logInfo, logSevere, logWarning, main, outputPercentRemaining, run, saveAllWorlds, serverIsInRunLoop, setAllowFlight, setAllowPvp, setBuildLimit, setCanSpawnAnimals, setCanSpawnNPCs, setConfigurationManager, setDemo, setFolderName, setForceGamemode, setGameType, setHostname, setKeyPair, setMOTD, setOnlineMode, setServerOwner, setServerPort, setUserMessage, setWorldName, startServerThread, stopServer, tick, worldServerForDimension`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.network.rcon.IServer

      `getAllUsernames, getCurrentPlayerCount, getFolderName, getHostname, getMaxPlayers, getMinecraftVersion, getMotd, getPlugins, getPort, handleRConCommand, isDebuggingEnabled, logDebug, logInfo, logSevere, logWarning`

- - ### Field Detail

    - #### pendingCommandList

          public final java.util.List pendingCommandList

    - #### allowPlayerLogins

          public static boolean allowPlayerLogins

  - ### Constructor Detail

    - #### DedicatedServer

          public DedicatedServer(java.io.File par1File)

  - ### Method Detail

    - #### startServer

          protected boolean startServer()
                                 throws java.io.IOException

      Specified by:
        `startServer` in class `MinecraftServer`
      Throws:
        `java.io.IOException`

    - #### canStructuresSpawn

          public boolean canStructuresSpawn()

      Specified by:
        `canStructuresSpawn` in class `MinecraftServer`

    - #### getGameType

          public WorldSettings.GameType getGameType()

      Specified by:
        `getGameType` in class `MinecraftServer`

    - #### func_147135_j

          public EnumDifficulty func_147135_j()

      Specified by:
        `func_147135_j` in class `MinecraftServer`

    - #### isHardcore

          public boolean isHardcore()

      Specified by:
        `isHardcore` in class `MinecraftServer`

    - #### finalTick

          protected void finalTick(CrashReport par1CrashReport)

      Overrides:
        `finalTick` in class `MinecraftServer`

    - #### addServerInfoToCrashReport

          public CrashReport addServerInfoToCrashReport(CrashReport par1CrashReport)

      Overrides:
        `addServerInfoToCrashReport` in class `MinecraftServer`

    - #### systemExitNow

          protected void systemExitNow()

      Overrides:
        `systemExitNow` in class `MinecraftServer`

    - #### updateTimeLightAndEntities

          public void updateTimeLightAndEntities()

      Overrides:
        `updateTimeLightAndEntities` in class `MinecraftServer`

    - #### getAllowNether

          public boolean getAllowNether()

      Overrides:
        `getAllowNether` in class `MinecraftServer`

    - #### allowSpawnMonsters

          public boolean allowSpawnMonsters()

      Overrides:
        `allowSpawnMonsters` in class `MinecraftServer`

    - #### addServerStatsToSnooper

          public void addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)

      Specified by:
        `addServerStatsToSnooper` in interface `IPlayerUsage`
      Overrides:
        `addServerStatsToSnooper` in class `MinecraftServer`

    - #### isSnooperEnabled

          public boolean isSnooperEnabled()

      Specified by:
        `isSnooperEnabled` in interface `IPlayerUsage`
      Overrides:
        `isSnooperEnabled` in class `MinecraftServer`

    - #### addPendingCommand

          public void addPendingCommand(java.lang.String par1Str,
                               ICommandSender par2ICommandSender)

    - #### executePendingCommands

          public void executePendingCommands()

    - #### isDedicatedServer

          public boolean isDedicatedServer()

      Specified by:
        `isDedicatedServer` in class `MinecraftServer`

    - #### getConfigurationManager

          public DedicatedPlayerList getConfigurationManager()

      Overrides:
        `getConfigurationManager` in class `MinecraftServer`

    - #### getIntProperty

          public int getIntProperty(java.lang.String par1Str,
                           int par2)

      Specified by:
        `getIntProperty` in interface `IServer`

    - #### getStringProperty

          public java.lang.String getStringProperty(java.lang.String par1Str,
                                           java.lang.String par2Str)

      Specified by:
        `getStringProperty` in interface `IServer`

    - #### getBooleanProperty

          public boolean getBooleanProperty(java.lang.String par1Str,
                                   boolean par2)

    - #### setProperty

          public void setProperty(java.lang.String par1Str,
                         java.lang.Object par2Obj)

      Specified by:
        `setProperty` in interface `IServer`

    - #### saveProperties

          public void saveProperties()

      Specified by:
        `saveProperties` in interface `IServer`

    - #### getSettingsFilename

          public java.lang.String getSettingsFilename()

      Specified by:
        `getSettingsFilename` in interface `IServer`

    - #### setGuiEnabled

          public void setGuiEnabled()

    - #### getGuiEnabled

          public boolean getGuiEnabled()

      Overrides:
        `getGuiEnabled` in class `MinecraftServer`

    - #### shareToLAN

          public java.lang.String shareToLAN(WorldSettings.GameType par1EnumGameType,
                                    boolean par2)

      Specified by:
        `shareToLAN` in class `MinecraftServer`

    - #### isCommandBlockEnabled

          public boolean isCommandBlockEnabled()

      Specified by:
        `isCommandBlockEnabled` in class `MinecraftServer`

    - #### getSpawnProtectionSize

          public int getSpawnProtectionSize()

      Overrides:
        `getSpawnProtectionSize` in class `MinecraftServer`

    - #### isBlockProtected

          public boolean isBlockProtected(World par1World,
                                 int par2,
                                 int par3,
                                 int par4,
                                 EntityPlayer par5EntityPlayer)

      Overrides:
        `isBlockProtected` in class `MinecraftServer`

    - #### getOpPermissionLevel

          public int getOpPermissionLevel()

      Specified by:
        `getOpPermissionLevel` in class `MinecraftServer`

    - #### func_143006_e

          public void func_143006_e(int par1)

      Overrides:
        `func_143006_e` in class `MinecraftServer`

    - #### func_147136_ar

          public boolean func_147136_ar()

      Overrides:
        `func_147136_ar` in class `MinecraftServer`